[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNodesEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Implements an enumerator for items in the TTreeNodes container.

## Declaration

Source position: comctrls.pp line 3185

`type TTreeNodesEnumerator = class`
`public`
`constructor Create();` |  | Constructor for the class instance.
`function MoveNext;` |  | Indicates if another tree node is available to the enumerator.
`property Current: TTreeNode; [r]` |  | Gets the current tree node instance for the enumerator.
`end;`

## Inheritance

`TTreeNodesEnumerator` |  | Implements an enumerator for items in the TTreeNodes container.
`TObject`

## Description

Implements the Current property and MoveNext method used to navigate the tree nodes in the container. The nodes in the container are passed as an argument to the Create constructor.